Subject: Re: bug#34157: Hydra: mozjs-60 builds on x86_64 and i686 seemingly get stuck

From: Ludovic Courtès <[email-masked]>
Date: Tue, 22 Jan 2019 14:24:51 +0100

Hi Mark,

Mark H Weaver <[email-masked]> skribis:

> Those two builds are still occupying build slots.  As I write this,
> they've been running for over 30 hours.
>
> I was curious whether the transfers were actually happening, even if
> slowly, so I looked at 'netstat' output:
>
> root@20121227-hydra:~# netstat --inet --program | grep net.in.tum
> tcp        0      0 20121227-hydra.gn:58007 hydra.net.in.tum.de:ssh ESTABLISHED 18774/guile     
> tcp        0      0 20121227-hydra.gn:42586 hydra.net.in.tum.de:ssh ESTABLISHED 10042/guile     
> tcp        0      0 20121227-hydra.gn:56413 hydra.net.in.tum.de:ssh ESTABLISHED 16236/guile     
>
> There are currently three builds allocated to hydra.gnunet.org
> (a.k.a. hydra.net.in.tum), so it appears that all three ssh connections
> are still active.  However, even after repeating this command many
> times, I've never seen a non-zero "Send-Q" value.  This suggests that no
> data is actually being sent, but that it's stuck waiting for something.

Weird.

> I'll leave these builds alone for now, in case Ludovic wants to
> investigate further.

I think you can terminate them as I’d rather not commit to investigate
further now.

I believe hydra.gnu.org is still running a rather old
guix-daemon/offload, right?  We should upgrade to the latest and
greatest to make sure we’re after a bug that’s still present.

Thanks,
Ludo’.